# module TkKinput

### Constants

TkCommandNames

### Public Class Methods

attribute_config(win, slot, value=None) click to toggle source

    # File lib/tk/kinput.rb, line 38
    def TkKinput.attribute_config(win, slot, value=None)
      if slot.kind_of? Hash
        tk_call('kanjiInput', 'attribute', win, *hash_kv(slot))
      else
        tk_call('kanjiInput', 'attribute', win, "-#{slot}", value)
      end
    end

attribute_info(win, slot=nil) click to toggle source

    # File lib/tk/kinput.rb, line 49
    def TkKinput.attribute_info(win, slot=nil)
      if slot
        conf = tk_split_list(tk_call('kanjiInput', 'attribute',
                                     win, "-#{slot}"))
        conf[0] = conf[0][1..-1]
        conf
      else
        tk_split_list(tk_call('kanjiInput', 'attribute', win)).collect{|conf|
          conf[0] = conf[0][1..-1]
          conf
        }
      end
    end

input_end(win) click to toggle source

    # File lib/tk/kinput.rb, line 66
    def TkKinput.input_end(win)
      tk_call('kanjiInput', 'end', win)
    end

input_start(win, keys=nil) click to toggle source

    # File lib/tk/kinput.rb, line 31
    def TkKinput.input_start(win, keys=nil)
      tk_call('kanjiInput', 'start', win, *hash_kv(keys))
    end

send_spot(win) click to toggle source

    # File lib/tk/kinput.rb, line 24
    def TkKinput.send_spot(win)
      tk_call('kinput_send_spot', win)
    end

start(win, style=None) click to toggle source

    # File lib/tk/kinput.rb, line 17
    def TkKinput.start(win, style=None)
      tk_call('kinput_start', win, style)
    end

### Public Instance Methods

kanji_input_end() click to toggle source

    # File lib/tk/kinput.rb, line 69
    def kanji_input_end
      TkKinput.input_end(self)
    end

kanji_input_start(keys=nil) click to toggle source

    # File lib/tk/kinput.rb, line 34
    def kanji_input_start(keys=nil)
      TkKinput.input_start(self, keys)
    end

kinput_attribute_config(slot, value=None) click to toggle source

    # File lib/tk/kinput.rb, line 45
    def kinput_attribute_config(slot, value=None)
      TkKinput.attribute_config(self, slot, value)
    end

kinput_attribute_info(slot=nil) click to toggle source

    # File lib/tk/kinput.rb, line 62
    def kinput_attribute_info(slot=nil)
      TkKinput.attribute_info(self, slot)
    end

kinput_send_spot() click to toggle source

    # File lib/tk/kinput.rb, line 27
    def kinput_send_spot
      TkKinput.send_spot(self)
    end

kinput_start(style=None) click to toggle source

    # File lib/tk/kinput.rb, line 20
    def kinput_start(style=None)
      TkKinput.start(self, style)
    end